Bug 54184 - lynx image viewer configuration
lynx image viewer configuration
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: lynx (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-09-30 23:42 EDT by R P Herrold
Modified: 2007-04-18 12:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-09-30 23:45:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description R P Herrold 2001-09-30 23:42:04 EDT
lynx seems to have 'xli' hard coded into itself somewhere:


                        Chad Cunningham   Mail: Here
                          Steve Davis   Mail: Here
                        Alexander Dukat   Mail: Here
                        Edward Dunagin   Mail: Here
                      [DEL:  J. Oliver Fatback  :DEL]
                                 Mail: Here
                         Andy Faulkner   Mail: Here
                                 Todd Fencl

-- press space for next page --
  Arrow keys: Up and Down to move.  Right to follow a link; Left to go
back.
 H)elp O)ptions P)rint G)o M)ain screen Q)uit /=search [delete]=history
list   sh: xli: command not found

----------------------------

bash-2.05$ sudo  grep VIEWER ` rpm -ql lynx  | grep cfg ` | grep -v "\:\#"
/etc/lynx.cfg:.h2 VIEWER
/etc/lynx.cfg.cs:.h2 VIEWER
/etc/lynx.cfg.ja:.h2 VIEWER
/etc/lynx.cfg.sk:.h2 VIEWER
bash-2.05$ which xview
/usr/bin/X11/xview
bash-2.05$ rpm -q lynx
lynx-2.8.4-17
bash-2.05$

------------------------------

A reasonable fix would be to add 'VIEWER; entries when xview is present =
or added, in the post-install script for both lynx and xview

RH does not seem to offer xli
Comment 1 R P Herrold 2001-09-30 23:45:25 EDT
The RH mailcap in /etc/mailcap _should cover it, but does not seem to do so..._
Comment 2 Bernhard Rosenkraenzer 2001-10-24 10:59:48 EDT
Right, it was a hardcoded default in userdefs.h.

I've changed it (2.8.5-1) to "display" (xview sucks - can't even display png 
images).

Note You need to log in before you can comment on or make changes to this bug.